Arma 3 Feedback Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007879Arma 3Scriptingpublic2013-04-29 20:232013-11-01 08:18
ReporterSaMatra 
Assigned Tojapapatramtara 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
15 vote(s) 93,75%
1 vote(s) 6,25%
Summary0007879: removeAllContainers leaves unit with uniform model even though their uniform is removed
DescriptionremoveAllContainers scripting command properly removes uniform and vest but leaves unit with uniform model even though uniform is removed.
Steps To Reproduce1. Open Editor, select Stratis
2. Place any unit as player, open this unit's properties
3. Add following into Initialization: removeAllContainers this;
4. Start the game and observe that player still have visible uniform on him even though uniform is removed when you open the inventory
Additional InformationremoveUniform on the other hand properly removed uniform and sets model to underwear.

Problem affects all versions of Alpha, was actual from day 1.
TagsNo tags attached.
Game Version
Attached Files

- Relationships

-  Notes
(0024819)
DanWerwolf (Bohemia Interactive - developer)
2013-04-30 16:53

Thank you for reporting this issue to us. We appreciate it, keep up the good work and help comuinty and developers to build better game for all.
(0034594)
SaMatra (ticket author)
2013-06-22 15:48

Bug is still actual in beta
(0045664)
Blake (reporter)
2013-08-03 00:38

removeUniform does not seem to in multiplayer.
(0045718)
Killzone_Kid (moderator)
2013-08-03 09:29

This command should ideally remove all storage functionality from a unit and leave it visually intact so that one cannot interact with units inventory. Would be useful making dead units unlootable.
(0054439)
MessiahUA (reporter)
2013-09-18 10:28

Problem still exists in latest stable.
(0054442)
japapatramtara (Bohemia Interactive - developer)
2013-09-18 11:21

seems like you have discovered my own internal command for debug purposes. well ok, the one way is to hide them.. or I can just fix it ;-)
(0054444)
MessiahUA (reporter)
2013-09-18 11:26

haha :)

this command is on the wiki: https://community.bistudio.com/wiki/removeAllContainers [^]
(0054453)
japapatramtara (Bohemia Interactive - developer)
2013-09-18 12:19

FIXED in DEV version. 110188 I'd say that this patch will be distributed to public tomorrow, so please give me a feedback
(0054779)
kylania (reporter)
2013-09-19 16:30

It's a shame this was "fixed". Leaving the uniform was a good way of having dressed soldiers without inventory for survival situations where we didn't want to be running around in our underwear. As well as the situation mentioned above with regards to unlootable bodies.
(0054780)
MessiahUA (reporter)
2013-09-19 16:37

i don't understand what's the problem, simply remove everything except uniform, there is no logic in your words
(0054796)
SaMatra (ticket author)
2013-09-19 17:34

kylania, maybe we should ask to introduce a command that would lock vehicle inventory instead
(0054798)
Killzone_Kid (moderator)
2013-09-19 17:43

Well, correct me if I'm wrong but what is the point of this command now? I can achieve the same result by just removing backpack, vest and uniform. As I mentioned before and as Kylania said the value of this command was in that the unit still looks dressed but has no storage containers. This is currently impossible to replicate by other means. AFAIK there are no commands that would disable storage functionality on fully dressed unit.

I'm actually pretty disappointed as it took developer time to tweak this command that could have been spent on some other bug fixes, and on top this command is now pretty useless.
(0054801)
MessiahUA (reporter)
2013-09-19 17:52

Killzone_Kid you're absolutely right in all cases, except, that removeAllContainers itself suggests, that it should literally remove all containers, but instead previously it didn't remove uniform and made a bug, so it's not right to simply "let it be"

I support addition of another separate command for you case.
(0054802)
SaMatra (ticket author)
2013-09-19 17:56

The same point as having removeAllWeapons and removeWeapon commands I guess.
(0054806)
Killzone_Kid (moderator)
2013-09-19 18:13
edited on: 2013-09-19 18:14

Not really. removeAllWeapons is pretty useful command because trying to remove all weapons one by one can turn into a nightmare. On the other hand removing backpack, vest and uniform is just that:

removeBackpack player;
removerVest player;
removeUniform player;

This is so simple and straightforward that adding a command that will do all that in one, is overkill.

(0054808)
SaMatra (ticket author)
2013-09-19 18:19

Why it is a nightmare?

{player removeWeapon _x} forEach (weapons player)
(0054809)
Killzone_Kid (moderator)
2013-09-19 18:27

Yeah ok, you can do that but it will require your average Jo have knowledge of loops "what is _x anyone?". What I'm saying is instead of making a pretty useful command out of it we got a ok shortcut command.
(0054810)
SaMatra (ticket author)
2013-09-19 18:33
edited on: 2013-09-19 18:35

Either way using bug as a feature is not a good idea, I would wholehartedly introduction of scripting command that would lock specified vehicle inventory. Or better also introduce an event handler that would call when player tries to open inventory of something and returned value of execution would define if player can open inventory or not and also display appropriate mission designer defined message or anything else. For example:

player addEventHandler ["Inventory", {
    _player = _this select 0;
    _vehicle = _this select 1;

    if(_vehicle isKindOf "Offroad_01_base_F") then {
        hint "You cannot access Offroad trunks";
        false
    } else {
        true
    };
}];

As well as having event handler, having a scripting command would be good too so you can completely remove Inventory option in action menu.

(0054817)
kylania (reporter)
2013-09-19 19:57

removeAllWeapons also removes magazines as well. Handy that. :)

I'm all for a "only display uniform" command.

unit addVisualUniform "classname" or something would be neat.
(0054818)
SaMatra (ticket author)
2013-09-19 20:04

Or you can create a unit, add him proper uniform and lock his inventory. (If there was a command to lock it)
(0054822)
Killzone_Kid (moderator)
2013-09-19 20:17

Or you can remove all storage containers but leave everything visually intact and if you want to only display uniform then in addition you can exec removeBackpack and removeVest

@SaMatra "inventory" EH ДА!
(0055850)
japapatramtara (Bohemia Interactive - developer)
2013-09-27 17:52

should be already fixed. can someone give me a feedback?
(0055873)
Killzone_Kid (moderator)
2013-09-27 19:42
edited on: 2013-09-27 19:42

Should be fixed as in... http://feedback.arma3.com/view.php?id=7879#c54453 [^] ?

Or was there another fix? Would be interesting to see the actial code for this fix. I'm imagining something like

removeAllContainers = {
    removeBackpack _this;
    removeVest _this;
    removeUniform _this;
}

(0055881)
kylania (reporter)
2013-09-27 20:19

It's "fixed" as in it strips off the visual uniform as well as uniform, vest and backpack properly, but we'd still like some way of having a visual uniform on a body without any inventory please. :)
(0055891)
MessiahUA (reporter)
2013-09-27 21:35

I've just checked - everything is fine!
(0055893)
SaMatra (ticket author)
2013-09-27 21:51

Yeah works as intended now.
(0058942)
Fireball (moderator)
2013-11-01 08:18

Mass-closing resolved issues not updated in 10 days.

- Issue History
Date Modified Username Field Change
2013-04-29 20:23 SaMatra New Issue
2013-04-30 16:53 DanWerwolf Note Added: 0024819
2013-04-30 16:53 DanWerwolf Priority none => low
2013-04-30 16:53 DanWerwolf Severity none => minor
2013-04-30 16:53 DanWerwolf Status new => reviewed
2013-06-22 15:48 SaMatra Note Added: 0034594
2013-08-03 00:38 Blake Note Added: 0045664
2013-08-03 09:29 Killzone_Kid Note Added: 0045718
2013-09-18 10:28 MessiahUA Note Added: 0054439
2013-09-18 11:17 Astaroth Assigned To => japapatramtara
2013-09-18 11:17 Astaroth Status reviewed => assigned
2013-09-18 11:21 japapatramtara Note Added: 0054442
2013-09-18 11:26 MessiahUA Note Added: 0054444
2013-09-18 12:19 japapatramtara Note Added: 0054453
2013-09-19 16:30 kylania Note Added: 0054779
2013-09-19 16:37 MessiahUA Note Added: 0054780
2013-09-19 16:42 SaMatra Note Added: 0054782
2013-09-19 17:33 SaMatra Note Edited: 0054782 View Revisions
2013-09-19 17:33 SaMatra Note Deleted: 0054782
2013-09-19 17:34 SaMatra Note Added: 0054796
2013-09-19 17:43 Killzone_Kid Note Added: 0054798
2013-09-19 17:52 MessiahUA Note Added: 0054801
2013-09-19 17:56 SaMatra Note Added: 0054802
2013-09-19 18:13 Killzone_Kid Note Added: 0054806
2013-09-19 18:14 Killzone_Kid Note Edited: 0054806 View Revisions
2013-09-19 18:19 SaMatra Note Added: 0054808
2013-09-19 18:27 Killzone_Kid Note Added: 0054809
2013-09-19 18:33 SaMatra Note Added: 0054810
2013-09-19 18:34 SaMatra Note Edited: 0054810 View Revisions
2013-09-19 18:35 SaMatra Note Edited: 0054810 View Revisions
2013-09-19 19:57 kylania Note Added: 0054817
2013-09-19 20:04 SaMatra Note Added: 0054818
2013-09-19 20:17 Killzone_Kid Note Added: 0054822
2013-09-27 17:52 japapatramtara Note Added: 0055850
2013-09-27 17:52 japapatramtara Status assigned => feedback
2013-09-27 19:42 Killzone_Kid Note Added: 0055873
2013-09-27 19:42 Killzone_Kid Note Edited: 0055873 View Revisions
2013-09-27 20:19 kylania Note Added: 0055881
2013-09-27 21:35 MessiahUA Note Added: 0055891
2013-09-27 21:51 SaMatra Note Added: 0055893
2013-09-27 21:51 SaMatra Status feedback => assigned
2013-10-07 02:12 Fireball Game Version Arma 3 Alpha Dev =>
2013-10-07 02:12 Fireball Status assigned => resolved
2013-10-07 02:12 Fireball Resolution open => fixed
2013-11-01 08:18 Fireball Note Added: 0058942
2013-11-01 08:18 Fireball Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team